GNU bug report logs - #11734
24.1; Save Toolbar not working

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: David Webb <daverwebb@HIDDEN>; Keywords: unreproducible; dated Mon, 18 Jun 2012 16:08:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Removed tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 11734 <at> debbugs.gnu.org:


Received: (at 11734) by debbugs.gnu.org; 25 Mar 2013 14:59:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 25 10:59:11 2013
Received: from localhost ([127.0.0.1]:44847 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UK8rb-0008Ox-5B
	for submit <at> debbugs.gnu.org; Mon, 25 Mar 2013 10:59:10 -0400
Received: from mail-pd0-f171.google.com ([209.85.192.171]:56854)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <davidandrewrogers@HIDDEN>) id 1UK1Qs-0004ZY-CY
	for 11734 <at> debbugs.gnu.org; Mon, 25 Mar 2013 03:03:03 -0400
Received: by mail-pd0-f171.google.com with SMTP id z10so348030pdj.2
	for <11734 <at> debbugs.gnu.org>; Mon, 25 Mar 2013 00:00:49 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
	h=x-received:from:to:subject:date:message-id:user-agent:mime-version
	:content-type; bh=RXgsLkTDloqLrV6k/Jl2f06YSxmyjuwoc1uX5/hDm6Q=;
	b=EOR89zYH3wLKy2pJxJ5ELLr1Ez4aJmaFAxWql5gPIRDQi9QR5ngv8BvFYzaO3a+wzt
	pbjPCK0CICGi9NgY9ULLA4CaGsP6NW7TvbW6uHr/rXneBtb2gJmrOJ61EeZOMhG9Bht/
	23LLkOgC9mBUVbm3I2vSL6ysQVTEN46Ip10Hbk/7nrDvBRmMm+wm7/AP1eOaw5A1huD+
	ANTihgQK6mmlSRGEeL9AVHkX5G5l/nJW4sqKwC3v7JBU3so6cmHAGN0LuFpnDqnC/C3Z
	NmuYLC5HPfnWjviUhMo54kQ5Nae0SjSE4QW2tcy5/BtuTYdzx0NQeRVTknbdYICpIr9p
	ABgQ==
X-Received: by 10.66.160.225 with SMTP id xn1mr16732530pab.136.1364194849424; 
	Mon, 25 Mar 2013 00:00:49 -0700 (PDT)
Received: from blackbox (d23-16-111-42.bchsia.telus.net. [23.16.111.42])
	by mx.google.com with ESMTPS id fk1sm12313702pbd.36.2013.03.25.00.00.47
	(version=TLSv1.2 cipher=RC4-SHA bits=128/128);
	Mon, 25 Mar 2013 00:00:48 -0700 (PDT)
From: David Rogers <davidandrewrogers@HIDDEN>
To: 11734 <at> debbugs.gnu.org
Subject: Additional information re. save button
Date: Mon, 25 Mar 2013 00:00:46 -0700
Message-ID: <86ehf4x8td.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.2 (berkeley-unix)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.8 (/)
X-Debbugs-Envelope-To: 11734
X-Mailman-Approved-At: Mon, 25 Mar 2013 10:59:01 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.9 (-)

Hello
This is my first email regarding a bug; I hope I haven't gone about it
all wrong.

I have encountered the same situation as described, on at least Emacs
24.1 and 24.2. In my situation, it seems that the toolbar save button
continues to work correctly until I have used Gnus once; then, even if I
quit using Gnus, the save button stops working until I quit Emacs and
re-start it. I will try to investigate further in order to narrow down
the cause of the problem, if it will help.

-- 
Thanks
David Rogers




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11734; Package emacs. Full text available.

Message received at 11734 <at> debbugs.gnu.org:


Received: (at 11734) by debbugs.gnu.org; 28 Jun 2012 02:04:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 27 22:04:13 2012
Received: from localhost ([127.0.0.1]:33200 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Sk45b-0001E3-4t
	for submit <at> debbugs.gnu.org; Wed, 27 Jun 2012 22:04:12 -0400
Received: from fencepost.gnu.org ([208.118.235.10]:32957)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <rgm@HIDDEN>) id 1Sk45Y-0001Dv-2m
	for 11734 <at> debbugs.gnu.org; Wed, 27 Jun 2012 22:04:09 -0400
Received: from rgm by fencepost.gnu.org with local (Exim 4.71)
	(envelope-from <rgm@HIDDEN>)
	id 1Sk41V-0008Rb-6g; Wed, 27 Jun 2012 21:59:57 -0400
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
Message-ID: <20459.47773.60363.932607@HIDDEN>
Date: Wed, 27 Jun 2012 21:59:57 -0400
From: Glenn Morris <rgm@HIDDEN>
To: David Webb <daverwebb@HIDDEN>
Subject: Re: bug#11734: 24.1; Save Toolbar not working
In-Reply-To: <4FEBA77E.4040906@HIDDEN>
References: <4FDF19F8.4000305@HIDDEN> <8sk3ywp5vr.fsf@HIDDEN>
	<4FEBA77E.4040906@HIDDEN>
X-Attribution: GM
X-Mailer: VM (www.wonderworks.com/vm), GNU Emacs (www.gnu.org/software/emacs)
X-Hue: black
X-Ran: o+{8=xG~smd49:{~*6<O:W@QuI>`dr@N{P3pH.!{}P%q-JXv]mG=(V)|yC`fz;+)YXUn@c
X-Spam-Score: -6.9 (------)
X-Debbugs-Envelope-To: 11734
Cc: 11734 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.9 (------)


(Please keep 11734@debbugs cc'd on any replies)

David Webb wrote (on Wed, 27 Jun 2012 at 19:38 -0500):

> hope this helps, toolbar save misbehaved and I did C-h v and copied the 
> following:

I don't see anything wrong with that, so I'm afraid I don't know what
could be going on here.

> Value: (keymap
>   (new-file menu-item "Visit New File..." find-file :enable
>             (menu-bar-non-minibuffer-window-p)
>             :help "Specify a new file's name, to edit the file" :image
>             (find-image
>              (cond
>               ((not
>                 (display-color-p))
>                '((:type pbm :file "new.pbm" :foreground "black" 
> :background "grey75")
>                  (:type xbm :file "new.xbm" :foreground "black" 
> :background "grey75")
>                  (:type xpm :file "low-color/new.xpm")
>                  (:type xpm :file "new.xpm")))
>               ((<
>                 (display-color-cells)
>                 256)
>                '((:type xpm :file "low-color/new.xpm")
>                  (:type xpm :file "new.xpm")
>                  (:type pbm :file "new.pbm" :foreground "black" 
> :background "grey75")
>                  (:type xbm :file "new.xbm" :foreground "black" 
> :background "grey75")))
>               (t
>                '((:type xpm :file "new.xpm")
>                  (:type pbm :file "new.pbm" :foreground "black" 
> :background "grey75")
>                  (:type xbm :file "new.xbm" :foreground "black" 
> :background "grey75")))))
>             :label "New File" :vert-only t)
>   (open-file menu-item "Open File..." menu-find-file-existing :enable
>              (menu-bar-non-minibuffer-window-p)
>              :help "Read an existing file into an Emacs buffer" :image
>              (find-image
>               (cond
>                ((not
>                  (display-color-p))
>                 '((:type pbm :file "open.pbm" :foreground "black" 
> :background "grey75")
>                   (:type xbm :file "open.xbm" :foreground "black" 
> :background "grey75")
>                   (:type xpm :file "low-color/open.xpm")
>                   (:type xpm :file "open.xpm")))
>                ((<
>                  (display-color-cells)
>                  256)
>                 '((:type xpm :file "low-color/open.xpm")
>                   (:type xpm :file "open.xpm")
>                   (:type pbm :file "open.pbm" :foreground "black" 
> :background "grey75")
>                   (:type xbm :file "open.xbm" :foreground "black" 
> :background "grey75")))
>                (t
>                 '((:type xpm :file "open.xpm")
>                   (:type pbm :file "open.pbm" :foreground "black" 
> :background "grey75")
>                   (:type xbm :file "open.xbm" :foreground "black" 
> :background "grey75")))))
>              :label "Open" :vert-only t)
>   (dired menu-item "Open Directory..." dired :enable
>          (menu-bar-non-minibuffer-window-p)
>          :help "Read a directory, to operate on its files" :image
>          (find-image
>           (cond
>            ((not
>              (display-color-p))
>             '((:type pbm :file "diropen.pbm" :foreground "black" 
> :background "grey75")
>               (:type xbm :file "diropen.xbm" :foreground "black" 
> :background "grey75")
>               (:type xpm :file "low-color/diropen.xpm")
>               (:type xpm :file "diropen.xpm")))
>            ((<
>              (display-color-cells)
>              256)
>             '((:type xpm :file "low-color/diropen.xpm")
>               (:type xpm :file "diropen.xpm")
>               (:type pbm :file "diropen.pbm" :foreground "black" 
> :background "grey75")
>               (:type xbm :file "diropen.xbm" :foreground "black" 
> :background "grey75")))
>            (t
>             '((:type xpm :file "diropen.xpm")
>               (:type pbm :file "diropen.pbm" :foreground "black" 
> :background "grey75")
>               (:type xbm :file "diropen.xbm" :foreground "black" 
> :background "grey75")))))
>          :vert-only t)
>   (kill-buffer menu-item "Close" kill-this-buffer :enable
>                (kill-this-buffer-enabled-p)
>                :help "Discard (kill) current buffer" :image
>                (find-image
>                 (cond
>                  ((not
>                    (display-color-p))
>                   '((:type pbm :file "close.pbm" :foreground "black" 
> :background "grey75")
>                     (:type xbm :file "close.xbm" :foreground "black" 
> :background "grey75")
>                     (:type xpm :file "low-color/close.xpm")
>                     (:type xpm :file "close.xpm")))
>                  ((<
>                    (display-color-cells)
>                    256)
>                   '((:type xpm :file "low-color/close.xpm")
>                     (:type xpm :file "close.xpm")
>                     (:type pbm :file "close.pbm" :foreground "black" 
> :background "grey75")
>                     (:type xbm :file "close.xbm" :foreground "black" 
> :background "grey75")))
>                  (t
>                   '((:type xpm :file "close.xpm")
>                     (:type pbm :file "close.pbm" :foreground "black" 
> :background "grey75")
>                     (:type xbm :file "close.xbm" :foreground "black" 
> :background "grey75")))))
>                :vert-only t)
>   (save-buffer menu-item "Save" save-buffer :enable
>                (and
>                 (buffer-modified-p)
>                 (buffer-file-name)
>                 (menu-bar-non-minibuffer-window-p))
>                :help "Save current buffer to its file" :image
>                (find-image
>                 (cond
>                  ((not
>                    (display-color-p))
>                   '((:type pbm :file "save.pbm" :foreground "black" 
> :background "grey75")
>                     (:type xbm :file "save.xbm" :foreground "black" 
> :background "grey75")
>                     (:type xpm :file "low-color/save.xpm")
>                     (:type xpm :file "save.xpm")))
>                  ((<
>                    (display-color-cells)
>                    256)
>                   '((:type xpm :file "low-color/save.xpm")
>                     (:type xpm :file "save.xpm")
>                     (:type pbm :file "save.pbm" :foreground "black" 
> :background "grey75")
>                     (:type xbm :file "save.xbm" :foreground "black" 
> :background "grey75")))
>                  (t
>                   '((:type xpm :file "save.xpm")
>                     (:type pbm :file "save.pbm" :foreground "black" 
> :background "grey75")
>                     (:type xbm :file "save.xbm" :foreground "black" 
> :background "grey75")))))
>                :label "Save")
>   (separator-1 "--")
>   (undo menu-item "Undo" undo :enable
>         (and
>          (not buffer-read-only)
>          (not
>           (eq t buffer-undo-list))
>          (if
>              (eq last-command 'undo)
>              (listp pending-undo-list)
>            (consp buffer-undo-list)))
>         :help "Undo last operation" :image
>         (find-image
>          (cond
>           ((not
>             (display-color-p))
>            '((:type pbm :file "undo.pbm" :foreground "black" :background 
> "grey75")
>              (:type xbm :file "undo.xbm" :foreground "black" :background 
> "grey75")
>              (:type xpm :file "low-color/undo.xpm")
>              (:type xpm :file "undo.xpm")))
>           ((<
>             (display-color-cells)
>             256)
>            '((:type xpm :file "low-color/undo.xpm")
>              (:type xpm :file "undo.xpm")
>              (:type pbm :file "undo.pbm" :foreground "black" :background 
> "grey75")
>              (:type xbm :file "undo.xbm" :foreground "black" :background 
> "grey75")))
>           (t
>            '((:type xpm :file "undo.xpm")
>              (:type pbm :file "undo.pbm" :foreground "black" :background 
> "grey75")
>              (:type xbm :file "undo.xbm" :foreground "black" :background 
> "grey75"))))))
>   (separator-2 "--")
>   (cut menu-item "Cut" kill-region :enable
>        (and mark-active
>             (not buffer-read-only))
>        :help "Cut (kill) text in region between mark and current 
> position" :image
>        (find-image
>         (cond
>          ((not
>            (display-color-p))
>           '((:type pbm :file "cut.pbm" :foreground "black" :background 
> "grey75")
>             (:type xbm :file "cut.xbm" :foreground "black" :background 
> "grey75")
>             (:type xpm :file "low-color/cut.xpm")
>             (:type xpm :file "cut.xpm")))
>          ((<
>            (display-color-cells)
>            256)
>           '((:type xpm :file "low-color/cut.xpm")
>             (:type xpm :file "cut.xpm")
>             (:type pbm :file "cut.pbm" :foreground "black" :background 
> "grey75")
>             (:type xbm :file "cut.xbm" :foreground "black" :background 
> "grey75")))
>          (t
>           '((:type xpm :file "cut.xpm")
>             (:type pbm :file "cut.pbm" :foreground "black" :background 
> "grey75")
>             (:type xbm :file "cut.xbm" :foreground "black" :background 
> "grey75")))))
>        :vert-only t)
>   (copy menu-item "Copy" kill-ring-save :enable mark-active :help "Copy 
> text in region between mark and current position" :keys 
> "\\[kill-ring-save]" :image
>         (find-image
>          (cond
>           ((not
>             (display-color-p))
>            '((:type pbm :file "copy.pbm" :foreground "black" :background 
> "grey75")
>              (:type xbm :file "copy.xbm" :foreground "black" :background 
> "grey75")
>              (:type xpm :file "low-color/copy.xpm")
>              (:type xpm :file "copy.xpm")))
>           ((<
>             (display-color-cells)
>             256)
>            '((:type xpm :file "low-color/copy.xpm")
>              (:type xpm :file "copy.xpm")
>              (:type pbm :file "copy.pbm" :foreground "black" :background 
> "grey75")
>              (:type xbm :file "copy.xbm" :foreground "black" :background 
> "grey75")))
>           (t
>            '((:type xpm :file "copy.xpm")
>              (:type pbm :file "copy.pbm" :foreground "black" :background 
> "grey75")
>              (:type xbm :file "copy.xbm" :foreground "black" :background 
> "grey75")))))
>         :vert-only t)
>   (paste menu-item "Paste" yank :enable
>          (and
>           (or
>            (and
>             (fboundp 'x-selection-exists-p)
>             (x-selection-exists-p 'CLIPBOARD))
>            (if
>                (featurep 'ns)
>                (cdr yank-menu)
>              kill-ring))
>           (not buffer-read-only))
>          :help "Paste (yank) text most recently cut/copied" :image
>          (find-image
>           (cond
>            ((not
>              (display-color-p))
>             '((:type pbm :file "paste.pbm" :foreground "black" 
> :background "grey75")
>               (:type xbm :file "paste.xbm" :foreground "black" 
> :background "grey75")
>               (:type xpm :file "low-color/paste.xpm")
>               (:type xpm :file "paste.xpm")))
>            ((<
>              (display-color-cells)
>              256)
>             '((:type xpm :file "low-color/paste.xpm")
>               (:type xpm :file "paste.xpm")
>               (:type pbm :file "paste.pbm" :foreground "black" 
> :background "grey75")
>               (:type xbm :file "paste.xbm" :foreground "black" 
> :background "grey75")))
>            (t
>             '((:type xpm :file "paste.xpm")
>               (:type pbm :file "paste.pbm" :foreground "black" 
> :background "grey75")
>               (:type xbm :file "paste.xbm" :foreground "black" 
> :background "grey75")))))
>          :vert-only t)
>   (separator-3 "--")
>   (isearch-forward menu-item "Forward String..." isearch-forward :help 
> "Search forward for a string as you type it" :image
>                    (find-image
>                     (cond
>                      ((not
>                        (display-color-p))
>                       '((:type pbm :file "search.pbm" :foreground 
> "black" :background "grey75")
>                         (:type xbm :file "search.xbm" :foreground 
> "black" :background "grey75")
>                         (:type xpm :file "low-color/search.xpm")
>                         (:type xpm :file "search.xpm")))
>                      ((<
>                        (display-color-cells)
>                        256)
>                       '((:type xpm :file "low-color/search.xpm")
>                         (:type xpm :file "search.xpm")
>                         (:type pbm :file "search.pbm" :foreground 
> "black" :background "grey75")
>                         (:type xbm :file "search.xbm" :foreground 
> "black" :background "grey75")))
>                      (t
>                       '((:type xpm :file "search.xpm")
>                         (:type pbm :file "search.pbm" :foreground 
> "black" :background "grey75")
>                         (:type xbm :file "search.xbm" :foreground 
> "black" :background "grey75")))))
>                    :label "Search" :vert-only t))
> 
> [back]




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11734; Package emacs. Full text available.

Message received at 11734 <at> debbugs.gnu.org:


Received: (at 11734) by debbugs.gnu.org; 28 Jun 2012 00:47:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 27 20:47:51 2012
Received: from localhost ([127.0.0.1]:33150 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Sk2ti-0007yj-PL
	for submit <at> debbugs.gnu.org; Wed, 27 Jun 2012 20:47:51 -0400
Received: from fencepost.gnu.org ([208.118.235.10]:59655)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <rgm@HIDDEN>) id 1Sk2te-0007ya-Na
	for 11734 <at> debbugs.gnu.org; Wed, 27 Jun 2012 20:47:48 -0400
Received: from rgm by fencepost.gnu.org with local (Exim 4.71)
	(envelope-from <rgm@HIDDEN>) id 1Sk2pd-0005NH-0d
	for 11734 <at> debbugs.gnu.org; Wed, 27 Jun 2012 20:43:37 -0400
Resent-Message-ID: <20459.43192.803075.930219@HIDDEN>
Resent-Date: Wed, 27 Jun 2012 20:43:36 -0400
Resent-From: Glenn Morris <rgm@HIDDEN>
Resent-To: 11734 <at> debbugs.gnu.org
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=ham
	version=3.3.2
X-Panda: scanned!
X-Session-Marker: 646176657277656262406875676865732E6E6574
X-Filterd-Recvd-Size: 14245
Message-ID: <4FEBA77E.4040906@HIDDEN>
MIME-Version: 1.0
References: <4FDF19F8.4000305@HIDDEN> <8sk3ywp5vr.fsf@HIDDEN>
In-Reply-To: <8sk3ywp5vr.fsf@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 2)
X-Received-From: 64.98.42.183
Date: Wed, 27 Jun 2012 19:38:22 -0500
From: David Webb <daverwebb@HIDDEN>
To: Glenn Morris <rgm@HIDDEN>
Subject: Re: bug#11734: 24.1; Save Toolbar not working
X-Bogosity: no, spamicity=0.011179, v1.2.1
User-Agent: Mozilla/5.0 (X11; Linux i686;
	rv:13.0) Gecko/20120615 Thunderbird/13.0.1
X-Spam-Score: -6.9 (------)
X-Debbugs-Envelope-To: 11734
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.9 (------)

On 06/24/2012 07:55 PM, Glenn Morris wrote:
> David Webb wrote:
>
>> recently built emacs 24.1, when doing a save with the toolbar icon I
>> often get the following in mini-buffer:
>>
>> <tool-bar><separator-1> is undefined
>> naturally the file is not saved. HOvering over the icon, the descriptive
>> text is merely a hyphen.
>>
>> this behavior is not consistent, sometimes the save icon works,
>> sometimes not
> Thanks for the report. I'm afraid that this sounds like one of those
> issues that will be difficult to solve unless you can come up with a
> reproducible recipe starting from emacs -Q. I tried, but could not
> reproduce it. It sounds like somehow the vertical separator next to the
> save button is being selected, but that ought not to be possible.
>
> If it happens again, maybe post the value of the variable tool-var-map
> at the time.
hope this helps, toolbar save misbehaved and I did C-h v and copied the 
following:

Value: (keymap
  (new-file menu-item "Visit New File..." find-file :enable
            (menu-bar-non-minibuffer-window-p)
            :help "Specify a new file's name, to edit the file" :image
            (find-image
             (cond
              ((not
                (display-color-p))
               '((:type pbm :file "new.pbm" :foreground "black" 
:background "grey75")
                 (:type xbm :file "new.xbm" :foreground "black" 
:background "grey75")
                 (:type xpm :file "low-color/new.xpm")
                 (:type xpm :file "new.xpm")))
              ((<
                (display-color-cells)
                256)
               '((:type xpm :file "low-color/new.xpm")
                 (:type xpm :file "new.xpm")
                 (:type pbm :file "new.pbm" :foreground "black" 
:background "grey75")
                 (:type xbm :file "new.xbm" :foreground "black" 
:background "grey75")))
              (t
               '((:type xpm :file "new.xpm")
                 (:type pbm :file "new.pbm" :foreground "black" 
:background "grey75")
                 (:type xbm :file "new.xbm" :foreground "black" 
:background "grey75")))))
            :label "New File" :vert-only t)
  (open-file menu-item "Open File..." menu-find-file-existing :enable
             (menu-bar-non-minibuffer-window-p)
             :help "Read an existing file into an Emacs buffer" :image
             (find-image
              (cond
               ((not
                 (display-color-p))
                '((:type pbm :file "open.pbm" :foreground "black" 
:background "grey75")
                  (:type xbm :file "open.xbm" :foreground "black" 
:background "grey75")
                  (:type xpm :file "low-color/open.xpm")
                  (:type xpm :file "open.xpm")))
               ((<
                 (display-color-cells)
                 256)
                '((:type xpm :file "low-color/open.xpm")
                  (:type xpm :file "open.xpm")
                  (:type pbm :file "open.pbm" :foreground "black" 
:background "grey75")
                  (:type xbm :file "open.xbm" :foreground "black" 
:background "grey75")))
               (t
                '((:type xpm :file "open.xpm")
                  (:type pbm :file "open.pbm" :foreground "black" 
:background "grey75")
                  (:type xbm :file "open.xbm" :foreground "black" 
:background "grey75")))))
             :label "Open" :vert-only t)
  (dired menu-item "Open Directory..." dired :enable
         (menu-bar-non-minibuffer-window-p)
         :help "Read a directory, to operate on its files" :image
         (find-image
          (cond
           ((not
             (display-color-p))
            '((:type pbm :file "diropen.pbm" :foreground "black" 
:background "grey75")
              (:type xbm :file "diropen.xbm" :foreground "black" 
:background "grey75")
              (:type xpm :file "low-color/diropen.xpm")
              (:type xpm :file "diropen.xpm")))
           ((<
             (display-color-cells)
             256)
            '((:type xpm :file "low-color/diropen.xpm")
              (:type xpm :file "diropen.xpm")
              (:type pbm :file "diropen.pbm" :foreground "black" 
:background "grey75")
              (:type xbm :file "diropen.xbm" :foreground "black" 
:background "grey75")))
           (t
            '((:type xpm :file "diropen.xpm")
              (:type pbm :file "diropen.pbm" :foreground "black" 
:background "grey75")
              (:type xbm :file "diropen.xbm" :foreground "black" 
:background "grey75")))))
         :vert-only t)
  (kill-buffer menu-item "Close" kill-this-buffer :enable
               (kill-this-buffer-enabled-p)
               :help "Discard (kill) current buffer" :image
               (find-image
                (cond
                 ((not
                   (display-color-p))
                  '((:type pbm :file "close.pbm" :foreground "black" 
:background "grey75")
                    (:type xbm :file "close.xbm" :foreground "black" 
:background "grey75")
                    (:type xpm :file "low-color/close.xpm")
                    (:type xpm :file "close.xpm")))
                 ((<
                   (display-color-cells)
                   256)
                  '((:type xpm :file "low-color/close.xpm")
                    (:type xpm :file "close.xpm")
                    (:type pbm :file "close.pbm" :foreground "black" 
:background "grey75")
                    (:type xbm :file "close.xbm" :foreground "black" 
:background "grey75")))
                 (t
                  '((:type xpm :file "close.xpm")
                    (:type pbm :file "close.pbm" :foreground "black" 
:background "grey75")
                    (:type xbm :file "close.xbm" :foreground "black" 
:background "grey75")))))
               :vert-only t)
  (save-buffer menu-item "Save" save-buffer :enable
               (and
                (buffer-modified-p)
                (buffer-file-name)
                (menu-bar-non-minibuffer-window-p))
               :help "Save current buffer to its file" :image
               (find-image
                (cond
                 ((not
                   (display-color-p))
                  '((:type pbm :file "save.pbm" :foreground "black" 
:background "grey75")
                    (:type xbm :file "save.xbm" :foreground "black" 
:background "grey75")
                    (:type xpm :file "low-color/save.xpm")
                    (:type xpm :file "save.xpm")))
                 ((<
                   (display-color-cells)
                   256)
                  '((:type xpm :file "low-color/save.xpm")
                    (:type xpm :file "save.xpm")
                    (:type pbm :file "save.pbm" :foreground "black" 
:background "grey75")
                    (:type xbm :file "save.xbm" :foreground "black" 
:background "grey75")))
                 (t
                  '((:type xpm :file "save.xpm")
                    (:type pbm :file "save.pbm" :foreground "black" 
:background "grey75")
                    (:type xbm :file "save.xbm" :foreground "black" 
:background "grey75")))))
               :label "Save")
  (separator-1 "--")
  (undo menu-item "Undo" undo :enable
        (and
         (not buffer-read-only)
         (not
          (eq t buffer-undo-list))
         (if
             (eq last-command 'undo)
             (listp pending-undo-list)
           (consp buffer-undo-list)))
        :help "Undo last operation" :image
        (find-image
         (cond
          ((not
            (display-color-p))
           '((:type pbm :file "undo.pbm" :foreground "black" :background 
"grey75")
             (:type xbm :file "undo.xbm" :foreground "black" :background 
"grey75")
             (:type xpm :file "low-color/undo.xpm")
             (:type xpm :file "undo.xpm")))
          ((<
            (display-color-cells)
            256)
           '((:type xpm :file "low-color/undo.xpm")
             (:type xpm :file "undo.xpm")
             (:type pbm :file "undo.pbm" :foreground "black" :background 
"grey75")
             (:type xbm :file "undo.xbm" :foreground "black" :background 
"grey75")))
          (t
           '((:type xpm :file "undo.xpm")
             (:type pbm :file "undo.pbm" :foreground "black" :background 
"grey75")
             (:type xbm :file "undo.xbm" :foreground "black" :background 
"grey75"))))))
  (separator-2 "--")
  (cut menu-item "Cut" kill-region :enable
       (and mark-active
            (not buffer-read-only))
       :help "Cut (kill) text in region between mark and current 
position" :image
       (find-image
        (cond
         ((not
           (display-color-p))
          '((:type pbm :file "cut.pbm" :foreground "black" :background 
"grey75")
            (:type xbm :file "cut.xbm" :foreground "black" :background 
"grey75")
            (:type xpm :file "low-color/cut.xpm")
            (:type xpm :file "cut.xpm")))
         ((<
           (display-color-cells)
           256)
          '((:type xpm :file "low-color/cut.xpm")
            (:type xpm :file "cut.xpm")
            (:type pbm :file "cut.pbm" :foreground "black" :background 
"grey75")
            (:type xbm :file "cut.xbm" :foreground "black" :background 
"grey75")))
         (t
          '((:type xpm :file "cut.xpm")
            (:type pbm :file "cut.pbm" :foreground "black" :background 
"grey75")
            (:type xbm :file "cut.xbm" :foreground "black" :background 
"grey75")))))
       :vert-only t)
  (copy menu-item "Copy" kill-ring-save :enable mark-active :help "Copy 
text in region between mark and current position" :keys 
"\\[kill-ring-save]" :image
        (find-image
         (cond
          ((not
            (display-color-p))
           '((:type pbm :file "copy.pbm" :foreground "black" :background 
"grey75")
             (:type xbm :file "copy.xbm" :foreground "black" :background 
"grey75")
             (:type xpm :file "low-color/copy.xpm")
             (:type xpm :file "copy.xpm")))
          ((<
            (display-color-cells)
            256)
           '((:type xpm :file "low-color/copy.xpm")
             (:type xpm :file "copy.xpm")
             (:type pbm :file "copy.pbm" :foreground "black" :background 
"grey75")
             (:type xbm :file "copy.xbm" :foreground "black" :background 
"grey75")))
          (t
           '((:type xpm :file "copy.xpm")
             (:type pbm :file "copy.pbm" :foreground "black" :background 
"grey75")
             (:type xbm :file "copy.xbm" :foreground "black" :background 
"grey75")))))
        :vert-only t)
  (paste menu-item "Paste" yank :enable
         (and
          (or
           (and
            (fboundp 'x-selection-exists-p)
            (x-selection-exists-p 'CLIPBOARD))
           (if
               (featurep 'ns)
               (cdr yank-menu)
             kill-ring))
          (not buffer-read-only))
         :help "Paste (yank) text most recently cut/copied" :image
         (find-image
          (cond
           ((not
             (display-color-p))
            '((:type pbm :file "paste.pbm" :foreground "black" 
:background "grey75")
              (:type xbm :file "paste.xbm" :foreground "black" 
:background "grey75")
              (:type xpm :file "low-color/paste.xpm")
              (:type xpm :file "paste.xpm")))
           ((<
             (display-color-cells)
             256)
            '((:type xpm :file "low-color/paste.xpm")
              (:type xpm :file "paste.xpm")
              (:type pbm :file "paste.pbm" :foreground "black" 
:background "grey75")
              (:type xbm :file "paste.xbm" :foreground "black" 
:background "grey75")))
           (t
            '((:type xpm :file "paste.xpm")
              (:type pbm :file "paste.pbm" :foreground "black" 
:background "grey75")
              (:type xbm :file "paste.xbm" :foreground "black" 
:background "grey75")))))
         :vert-only t)
  (separator-3 "--")
  (isearch-forward menu-item "Forward String..." isearch-forward :help 
"Search forward for a string as you type it" :image
                   (find-image
                    (cond
                     ((not
                       (display-color-p))
                      '((:type pbm :file "search.pbm" :foreground 
"black" :background "grey75")
                        (:type xbm :file "search.xbm" :foreground 
"black" :background "grey75")
                        (:type xpm :file "low-color/search.xpm")
                        (:type xpm :file "search.xpm")))
                     ((<
                       (display-color-cells)
                       256)
                      '((:type xpm :file "low-color/search.xpm")
                        (:type xpm :file "search.xpm")
                        (:type pbm :file "search.pbm" :foreground 
"black" :background "grey75")
                        (:type xbm :file "search.xbm" :foreground 
"black" :background "grey75")))
                     (t
                      '((:type xpm :file "search.xpm")
                        (:type pbm :file "search.pbm" :foreground 
"black" :background "grey75")
                        (:type xbm :file "search.xbm" :foreground 
"black" :background "grey75")))))
                   :label "Search" :vert-only t))

[back]






Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11734; Package emacs. Full text available.
Added tag(s) unreproducible and moreinfo. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 11734 <at> debbugs.gnu.org:


Received: (at 11734) by debbugs.gnu.org; 25 Jun 2012 00:59:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 24 20:59:18 2012
Received: from localhost ([127.0.0.1]:55687 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Sixe9-0007Yx-RJ
	for submit <at> debbugs.gnu.org; Sun, 24 Jun 2012 20:59:18 -0400
Received: from fencepost.gnu.org ([208.118.235.10]:52996)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <rgm@HIDDEN>) id 1Sixe6-0007Yj-As
	for 11734 <at> debbugs.gnu.org; Sun, 24 Jun 2012 20:59:15 -0400
Received: from rgm by fencepost.gnu.org with local (Exim 4.71)
	(envelope-from <rgm@HIDDEN>)
	id 1SixaK-0006Kb-Oo; Sun, 24 Jun 2012 20:55:20 -0400
From: Glenn Morris <rgm@HIDDEN>
To: David Webb <daverwebb@HIDDEN>
Subject: Re: bug#11734: 24.1; Save Toolbar not working
References: <4FDF19F8.4000305@HIDDEN>
X-Spook: digicash counter terrorism AGT. AMME Bellcore monarchist
X-Ran: <Bk?o{b]0SJgRfocNnlpg8tAl9R?!U?{@)yif.vaCz{y@liLU7O3#qn]N(sGQr|Fu$\[VX
X-Hue: blue
X-Attribution: GM
Date: Sun, 24 Jun 2012 20:55:20 -0400
In-Reply-To: <4FDF19F8.4000305@HIDDEN> (David Webb's message of "Mon, 18
	Jun 2012 07:07:20 -0500")
Message-ID: <8sk3ywp5vr.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -6.9 (------)
X-Debbugs-Envelope-To: 11734
Cc: 11734 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.9 (------)

David Webb wrote:

> recently built emacs 24.1, when doing a save with the toolbar icon I
> often get the following in mini-buffer:
>
> <tool-bar><separator-1> is undefined
> naturally the file is not saved. HOvering over the icon, the descriptive
> text is merely a hyphen.
>
> this behavior is not consistent, sometimes the save icon works,
> sometimes not

Thanks for the report. I'm afraid that this sounds like one of those
issues that will be difficult to solve unless you can come up with a
reproducible recipe starting from emacs -Q. I tried, but could not
reproduce it. It sounds like somehow the vertical separator next to the
save button is being selected, but that ought not to be possible.

If it happens again, maybe post the value of the variable tool-var-map
at the time.

> In GNU Emacs 24.1.1 (i686-pc-linux-gnu, GTK+ Version 2.24.10)
>  of 2012-06-12 on hp




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11734; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 18 Jun 2012 16:07:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 18 12:07:47 2012
Received: from localhost ([127.0.0.1]:46894 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1SgeUT-0006F6-PG
	for submit <at> debbugs.gnu.org; Mon, 18 Jun 2012 12:07:47 -0400
Received: from eggs.gnu.org ([208.118.235.92]:60641)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <daverwebb@HIDDEN>) id 1SganX-0000yi-3T
	for submit <at> debbugs.gnu.org; Mon, 18 Jun 2012 08:11:13 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <daverwebb@HIDDEN>) id 1SgakI-0000DG-21
	for submit <at> debbugs.gnu.org; Mon, 18 Jun 2012 08:07:55 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-6.9 required=5.0 tests=BAYES_00,RCVD_IN_DNSWL_HI
	autolearn=unavailable version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:52726)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <daverwebb@HIDDEN>) id 1SgakH-0000DB-Uu
	for submit <at> debbugs.gnu.org; Mon, 18 Jun 2012 08:07:49 -0400
Received: from eggs.gnu.org ([208.118.235.92]:45344)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <daverwebb@HIDDEN>) id 1SgakB-0002qx-4F
	for bug-gnu-emacs@HIDDEN; Mon, 18 Jun 2012 08:07:49 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <daverwebb@HIDDEN>) id 1Sgak4-0000CD-0L
	for bug-gnu-emacs@HIDDEN; Mon, 18 Jun 2012 08:07:42 -0400
Received: from smtprelay0228.b.hostedemail.com ([64.98.42.228]:46653
	helo=smtprelay.b.hostedemail.com)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <daverwebb@HIDDEN>) id 1Sgak3-0000C2-SI
	for bug-gnu-emacs@HIDDEN; Mon, 18 Jun 2012 08:07:35 -0400
Received: from filter.hostedemail.com (b-bigip1 [10.5.19.254])
	by smtprelay04.b.hostedemail.com (Postfix) with SMTP id C2ED5109022
	for <bug-gnu-emacs@HIDDEN>; Mon, 18 Jun 2012 12:07:34 +0000 (UTC)
X-Panda: scanned!
X-Session-Marker: 646176657277656262406875676865732E6E6574
X-Filterd-Recvd-Size: 9265
Received: from [192.168.0.3] (unknown [97.73.171.234])
	(Authenticated sender: daverwebb@HIDDEN)
	by omf10.b.hostedemail.com (Postfix) with ESMTP
	for <bug-gnu-emacs@HIDDEN>; Mon, 18 Jun 2012 12:07:29 +0000 (UTC)
Message-ID: <4FDF19F8.4000305@HIDDEN>
Date: Mon, 18 Jun 2012 07:07:20 -0500
From: David Webb <daverwebb@HIDDEN>
User-Agent: Mozilla/5.0 (X11; Linux i686;
	rv:12.0) Gecko/20120430 Thunderbird/12.0.1
MIME-Version: 1.0
To: bug-gnu-emacs@HIDDEN
Subject: 24.1; Save Toolbar not working
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 2)
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 208.118.235.17
X-Spam-Score: -6.1 (------)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Mon, 18 Jun 2012 12:07:44 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.1 (------)

From: David Webb <cadizgramps@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 24.1; Save Toolbar not working
X-Draft-From: ("INBOX")
--text follows this line--
This bug report will be sent to the Bug-GNU-Emacs mailing list
and the GNU bug tracker at debbugs.gnu.org.  Please check that
the From: line contains a valid email address.  After a delay of up
to one day, you should receive an acknowledgement at that address.

Please write in English if possible, as the Emacs maintainers
usually do not have translators for other languages.

Please describe exactly what actions triggered the bug, and
the precise symptoms of the bug.  If you can, give a recipe
starting from `emacs -Q':

recently built emacs 24.1, when doing a save with the toolbar icon I
often get the following in mini-buffer:

<tool-bar><separator-1> is undefined
naturally the file is not saved. HOvering over the icon, the descriptive
text is merely a hyphen.

this behavior is not consistent, sometimes the save icon works,
sometimes not

If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
     `bt full' and `xbacktrace'.
For information about debugging Emacs, please read the file
/usr/local/share/emacs/24.1/etc/DEBUG.


In GNU Emacs 24.1.1 (i686-pc-linux-gnu, GTK+ Version 2.24.10)
  of 2012-06-12 on hp
Windowing system distributor `The X.Org Foundation', version 11.0.11103000
Important settings:
   value of $LC_ALL: nil
   value of $LC_COLLATE: nil
   value of $LC_CTYPE: nil
   value of $LC_MESSAGES: nil
   value of $LC_MONETARY: en_US.UTF-8
   value of $LC_NUMERIC: en_US.UTF-8
   value of $LC_TIME: en_US.UTF-8
   value of $LANG: en_US.UTF-8
   value of $XMODIFIERS: nil
   locale-coding-system: utf-8-unix
   default enable-multibyte-characters: t

Major mode: Org

Minor modes in effect:
   yas/global-mode: t
   yas/minor-mode: t
   nxhtml-menu-mode: t
   shell-dirtrack-mode: t
   global-auto-complete-mode: t
   ido-everywhere: t
   tooltip-mode: t
   mouse-wheel-mode: t
   tool-bar-mode: t
   menu-bar-mode: t
   file-name-shadow-mode: t
   global-font-lock-mode: t
   font-lock-mode: t
   blink-cursor-mode: t
   auto-composition-mode: t
   auto-encryption-mode: t
   auto-compression-mode: t
   column-number-mode: t
   line-number-mode: t
   transient-mark-mode: (only . t)

Recent input:
d d d d SPC SPC SPC SPC SPC d SPC SPC SPC SPC <up>
a <help-echo> <tool-bar> <undo> x <backspace> <help-echo>
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo>
<help-echo> <menu-bar> <Message> <Kill Message> <help-echo>
d d q q y <help-echo> <down-mouse-5> <mouse-5> <down-mouse-5>
<mouse-5> <down-mouse-4> <mouse-4> <down-mouse-4> <mouse-4>
<double-down-mouse-4> <double-mouse-4> <down-mouse-1>
<mouse-movement> <drag-mouse-1> <C-return> D O N E
SPC T r a i l SPC h i k e SPC a t SPC C r a b a b <backspace>
p p l e SPC O r a <backspace> c h a r d SPC P a r t
k <backspace> <backspace> k , SPC M a r i o n SPC I
L <left> <left> <left> <left> <left> <left> <left>
<left> <left> <left> <left> <left> <left> <left> <left>
<left> <left> <left> <left> <left> <left> <left> <left>
<left> <left> <left> <left> <left> <left> <left> <left>
<left> <left> <left> <left> <left> <left> <left> <left>
<left> <left> <left> <left> <left> <left> <left> <left>
C-c C-t d C-c . <help-echo> <help-echo> <down-mouse-1>
<mouse-1> <help-echo> <tool-bar> <separator-1> <help-echo>
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo>
<help-echo> <help-echo> <help-echo> <help-echo> <tool-bar>
<separator-1> M-x e m a c s - r e p o r <tab> <backspace>
<backspace> <backspace> <backspace> <backspace> b u
g <tab> <backspace> <backspace> <backspace> <backspace>
<backspace> <backspace> <backspace> <backspace> <backspace>
b u g <tab> <backspace> <backspace> <backspace> <backspace>
<backspace> <backspace> <backspace> <backspace> <backspace>
<backspace> r e p o r <tab> <backspace> <backspace>
<backspace> <tab> <tab> q <backspace> C-g <help-echo>
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo>
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo>
<help-echo> <help-echo> <tool-bar> <separator-1> M-x
d e b u g <tab> - o n <tab> <return> C-g M-x d e b
u g <tab> <tab> <return> <help-echo> <help-echo> C-g
C-g <down-mouse-1> <mouse-movement> <drag-mouse-1>
q M-x r e p o r t - e m a <tab> <return>

Recent messages:
Mark set
[a-z..]:Set [SPC]:clear
Auto-saving...
Making completion list...
Quit [2 times]
Making completion list...
Entering debugger...
Quit [2 times]
Mark set
Back to top level.

Load-path shadows:
/home/daveo/.emacs.d/el-get/pylookup/pylookup hides 
~/.emacs.d/pylookup/pylookup
/home/daveo/.emacs.d/el-get/python-mode/python-mode hides 
~/.emacs.d/python-mode/python-mode
/home/daveo/.emacs.d/el-get/python-mode/pymacs hides 
~/.emacs.d/python-mode/pymacs
/home/daveo/.emacs.d/el-get/auto-complete/auto-complete hides 
~/.emacs.d/auto-complete
/home/daveo/.emacs.d/el-get/popup/popup hides ~/.emacs.d/popup
~/.emacs.d/python-mode/pylint hides ~/.emacs.d/pylint
/home/daveo/.emacs.d/el-get/auto-complete/auto-complete-config hides 
~/.emacs.d/auto-complete-config
/home/daveo/.emacs.d/el-get/emacs-w3m/mime-w3m hides ~/.emacs.d/mime-w3m
/home/daveo/.emacs.d/el-get/nxhtml/util/org-odt hides 
/usr/local/share/emacs/24.1/lisp/org/org-odt
~/.emacs.d/package hides /usr/local/share/emacs/24.1/lisp/emacs-lisp/package

Features:
(shadow emacsbug sendmail debug cal-move bookmark tabify apropos
gnus-html xml url-cache mm-url url url-proxy url-privacy url-expand
url-methods url-history url-cookie url-util url-parse url-vars org-wl
org-w3m org-vm org-rmail org-mhe org-mew org-irc org-jsinfo org-infojs
org-html org-exp ob-exp org-exp-blocks find-func org-agenda org-info
org-gnus org-docview org-bibtex bibtex org-bbdb org ob-emacs-lisp
ob-tangle ob-ref ob-lob ob-table org-footnote org-src ob-comint ob-keys
ob ob-eval org-pcomplete org-list org-faces org-compat org-entities
org-macs noutline outline cal-menu calendar cal-loaddefs mule-util sort
smiley gnus-cite flow-fill mail-extr gnus-async gnus-bcklg qp gnus-ml
disp-table gnus-topic nndraft nnmh nnfolder utf-7 network-stream
starttls nnimap parse-time tls utf7 netrc gnus-agent gnus-srvr
gnus-score score-mode nnvirtual gnus-msg gnus-art mm-uu mml2015
epg-config mm-view mml-smime smime dig mailcap nntp gnus-cache gnus-sum
nnoo gnus-group gnus-undo nnmail mail-source gnus-start gnus-spec
gnus-int gnus-range message rfc822 mml mml-sec mm-decode mm-bodies
mm-encode mail-parse rfc2231 rfc2047 rfc2045 ietf-drums mailabbrev
gmm-utils mailheader gnus-win gnus gnus-ems nnheader mail-utils linum
color-theme-autoloads color-theme-molokai-autoloads
color-theme-solarized-autoloads deft-autoloads dired+-autoloads
emacsd-tile-autoloads orginit yasnippet dropdown-list tango-dark-theme
.loaddefs python-mode skeleton derived rx cc-cmds cc-engine cc-vars
cc-defs doctest-mode flymake-files flymakemsg nxhtml-autostart
nxhtml-autoload majmodpri vc-git nxhtml-menu web-autoload nxhtml-base
info el-get autoload package help-mode view dired+ dired-x ediff-merg
ediff-diff ediff-wind ediff-mult ediff-help ediff-init ediff-util
dired-aux dired erc-highlight-nicknames erc-button erc-fill erc-stamp
erc-goodies erc erc-backend erc-compat thingatpt pp flymake warnings
pylookup cl browse-url compile tramp tramp-compat auth-source eieio
byte-opt bytecomp byte-compile cconv macroexp assoc gnus-util mm-util
mail-prsvr password-cache shell pcomplete comint ansi-color format-spec
tramp-loaddefs regexp-opt auto-complete-config auto-complete edmacro
kmacro popup easy-mmode ropemacs ring pymacs advice help-fns
advice-preload ido cus-edit easymenu cus-start cus-load wid-edit server
time-date tooltip ediff-hook vc-hooks lisp-float-type mwheel x-win x-dnd
tool-bar dnd fontset image fringe lisp-mode register page menu-bar
rfn-eshadow timer select scroll-bar mouse jit-lock font-lock syntax
facemenu font-core frame cham georgian utf-8-lang misc-lang vietnamese
tibetan thai tai-viet lao korean japanese hebrew greek romanian slovak
czech european ethiopic indian cyrillic chinese case-table epa-hook
jka-cmpr-hook help simple abbrev minibuffer loaddefs button faces
cus-face files text-properties overlay sha1 md5 base64 format env
code-pages mule custom widget hashtable-print-readable backquote
make-network-process dbusbind dynamic-setting system-font-setting
font-render-setting move-toolbar gtk x-toolkit x multi-tty emacs)





Acknowledgement sent to David Webb <daverwebb@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#11734; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 25 Dec 2015 23:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.